package com.huimv.admin.domain.secondary;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 档案-栏期信息
 */
@Data
@Entity
@Table(name = "da_lqda")
public class DaLqda implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @Id
    @Column(name = "ID", nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer ID;

    /**
     * 牧场编号
     */
    @Column(name = "ZSID", nullable = false)
    private Integer ZSID;

    /**
     * 栏期名称
     */
    @Column(name = "LQMC")
    private String LQMC;

    /**
     * 建栏时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone="GMT+8")
    @Column(name = "JLSJ")
    private Date JLSJ;

    /**
     * 计划栏结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone="GMT+8")
    @Column(name = "JHLJSSJ")
    private Date JHLJSSJ;

    /**
     * 实际栏结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone="GMT+8")
    @Column(name = "SJLJSSJ")
    private Date SJLJSSJ;

    /**
     * 入栏平均体重
     */
    @Column(name = "RLPJTZ")
    private BigDecimal RLPJTZ;

    /**
     * 在栏动物数
     */
    @Column(name = "ZLS")
    private BigDecimal ZLS;

    /**
     * 入栏动物数
     */
    @Column(name = "RLS")
    private BigDecimal RLS;

    /**
     * 死亡动物数
     */
    @Column(name = "SWS")
    private BigDecimal SWS;

    /**
     * 售出动物数
     */
    @Column(name = "SCS")
    private BigDecimal SCS;

    /**
     * 隔离动物数
     */
    @Column(name = "GLS")
    private BigDecimal GLS;

    /**
     * 耳标丢失数
     */
    @Column(name = "EBDSS")
    private BigDecimal EBDSS;

    /**
     * 管理员
     */
    @Column(name = "GLY")
    private String GLY;

    /**
     * 挑选开始日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone="GMT+8")
    @Column(name = "TXKSRQ")
    private Date TXKSRQ;

    /**
     * 挑选开始标识
     */
    @Column(name = "TXKSBZ")
    private BigDecimal TXKSBZ;

    /**
     * 统计开始日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone="GMT+8")
    @Column(name = "TJKSRQ")
    private Date TJKSRQ;

    /**
     * 初始遗留饲料量
     */
    @Column(name = "CSYLSLL")
    private BigDecimal CSYLSLL;

    /**
     * 结束剩余饲料量
     */
    @Column(name = "JSSYSLL")
    private BigDecimal JSSYSLL;

    /**
     * 修改人
     */
    @Column(name = "XGR")
    private String XGR;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone="GMT+8")
    @Column(name = "XGSJ")
    private Date XGSJ;

    /**
     * 作废标识
     */
    @Column(name = "ZFBZ")
    private Integer ZFBZ;

    /**
     * 出栏数
     */
    @Column(name = "CLS")
    private BigDecimal CLS;

    /**
     * 淘汰数
     */
    @Column(name = "TTS")
    private BigDecimal TTS;

    /**
     * 体重统计时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone="GMT+8")
    @Column(name = "TZTJSJ")
    private Date TZTJSJ;

    /**
     * 入栏日龄
     */
    @Column(name = "RLRL")
    private String RLRL;

}
